// priority: 900
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded CRAFTING TABLE/ENDER IO.js)')


ServerEvents.recipes(event => {

    // fluid_tank (nbt)
    event.shapeless('enderio:fluid_tank', 'enderio:fluid_tank')
        .id('kubejs:crafting/enderio/fluid_tank/nbt')

    // pressurized_fluid_tank (nbt)
    event.shapeless('enderio:pressurized_fluid_tank', 'enderio:pressurized_fluid_tank')
        .id('kubejs:crafting/enderio/pressurized_fluid_tank/nbt')

    // yeta_wrench
    event.shaped('enderio:yeta_wrench', [
        ' A ',
        'CBA',
        'AD ',
    ], {
        A: 'gtceu:invar_rod',
        B: 'gtceu:iron_ring',
        C: '#gtceu:tools/crafting_wrenches',
        D: '#forge:tools/hammers',
    })
        .id('kubejs:crafting/enderio/yeta_wrench')

    // painting_machine
    event.shaped('enderio:painting_machine', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:lv_electric_piston',
        B: 'gtceu:empty_spray_can',
        C: '#forge:dyes/white',
        D: 'kubejs:quartz_alloy_machine_hull',
        E: 'gtceu:lv_electric_motor',
        F: '#gtceu:circuits/lv',
    })
        .id('kubejs:crafting/enderio/painting_machine')


    // fin //

})